Subject: t7300-clean.sh fails "not ok 32 - should avoid cleaning possible submodules" on debian jessie

From: Pirate Praveen <[email-masked]>
Date: Tue, 7 Jun 2016 13:57:22 +0530

Hi,

I'm trying to rebuild git 2.8.1 on debian jessie/stable and I get this
error (tests upto this succeeds).

not ok 32 - should avoid cleaning possible submodules

I added debian stretch repo to apt sources.list and ran apt-get source
-b git.

You can see the build options passed here
http://repo.or.cz/git/debian.git/blob/HEAD:/debian/rules

Since it is a working fine on debian sid/unstable, I did not want to
report it to debian package maintainers.

I noticed the same failure for git 2.8.0-rc3 as well. I could ignore the
test failure and go ahead, but I'd like to fix this if possible.

Thanks
Praveen